Bug 385001 - RHEL5 cmirror tracker: unable to convert a disk log mirror to core log
RHEL5 cmirror tracker: unable to convert a disk log mirror to core log
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 12:21 EST by Corey Marthaler
Modified: 2010-01-11 21:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:26:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-11-15 12:21:04 EST
Description of problem:
[root@taft-02 ~]# lvconvert -m 1 --corelog vg/simple
  Error locking on node taft-01: device-mapper: reload ioctl failed: Invalid
argument
  Error locking on node taft-04: device-mapper: reload ioctl failed: Invalid
argument
  Error locking on node taft-03: device-mapper: reload ioctl failed: Invalid
argument
  Error locking on node taft-02: device-mapper: reload ioctl failed: Invalid
argument
  Failed to lock simple

device-mapper: dm-log-clustered: Server error while processing request
[DM_CLOG_CTR]: -22
device-mapper: table: 253:5: mirror: Error creating mirror dirty log
device-mapper: ioctl: error adding target to table
Nov 15 11:18:55 taft-01 clogd[6459]: Received constructor request with bad data
Nov 15 11:18:55 taft-01 kernel: device-mapper: dm-log-clustered: Server error
while processing request [DM_CLOG_2
Nov 15 11:18:55 taft-01 kernel: device-mapper: table: 253:5: mirror: Error
creating mirror dirty log
Nov 15 11:18:55 taft-01 kernel: device-mapper: ioctl: error adding target to table


Version-Release number of selected component (if applicable):
cmirror-1.1.0-7
2.6.18-53.el5

How reproducible:
Everytime
Comment 2 Jonathan Earl Brassow 2008-01-14 18:02:04 EST
I can hit this easily.
Comment 3 Jonathan Earl Brassow 2008-01-15 17:02:21 EST
'return' instead of 'goto' was skipping over key initialization - causing core logged cluster mirrors not to 
work.
Comment 4 Corey Marthaler 2008-01-21 16:06:04 EST
Fix verified in cmirror-1.1.5-4.el5.
Comment 7 errata-xmlrpc 2009-01-20 16:26:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.